#include "lcd.h"
#include "ds1302.h"
#include "delay.h"
#include <stdlib.h>
#include <avr/io.h>


int main(void)
{
	lcd_init (LCD_DISP_ON);
	
	dataset.sec_h = 0;
	dataset.sec_l = 0;
	dataset.min_h = 2;
	dataset.min_l = 9;
	dataset.hr_h = 1;
	dataset.hr_l = 5;
	dataset.date_h = 2;
	dataset.date_l = 2;
	dataset.month_h = 1;
	dataset.month_l = 1;
	dataset.year_h = 0;
	dataset.year_l = 4;

	ds1302_set_data ();

	for (;;)
	{                   	
		ds1302_get_data ();

		lcd_gotoxy (0,0);
		
		lcd_putc (dataset.hr_h);
		lcd_putc (dataset.hr_l);
		lcd_putc (':');
		lcd_putc (dataset.min_h);
		lcd_putc (dataset.min_l);
		lcd_putc (':');
		lcd_putc (dataset.sec_h);
		lcd_putc (dataset.sec_l);

		lcd_gotoxy (0,1);

		lcd_putc (dataset.date_h);
		lcd_putc (dataset.date_l);
		lcd_putc ('.');
		lcd_putc (dataset.month_h);
		lcd_putc (dataset.month_l);
		lcd_putc ('.');
		lcd_putc (dataset.year_h);
		lcd_putc (dataset.year_l);

		delay_ms (100);
		lcd_clrscr ();
	}
}
